
simcomale = load('simcomale.mat');
simcofemale = load('simcofemale.mat');
dctdic = load('DCTdic.mat');
fftdic = load('FFTdic.mat');


figure; set(gcf,'color','white');
s=sum(abs(simcomale.DTr(:,1)))./sqrt(sum(abs(simcomale.DTr(:,1)).^2));
subplot(2,3,1),plot(simcomale.DTr(1:20:512,1)); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(simcomale.DTr(:,8)))./sqrt(sum(abs(simcomale.DTr(:,8)).^2));
subplot(2,3,2),plot(simcomale.DTr(1:20:512,8)); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(simcomale.DTr(:,16)))./sqrt(sum(abs(simcomale.DTr(:,16)).^2));
subplot(2,3,3),plot(simcomale.DTr(1:20:512,16)); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(simcomale.DTr(:,24)))./sqrt(sum(abs(simcomale.DTr(:,24)).^2));
subplot(2,3,4),plot(simcomale.DTr(1:20:512,24)); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(simcomale.DTr(:,32)))./sqrt(sum(abs(simcomale.DTr(:,32)).^2));
subplot(2,3,5),plot(simcomale.DTr(1:20:512,32)); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(simcomale.DTr(:,40)))./sqrt(sum(abs(simcomale.DTr(:,40)).^2));
subplot(2,3,6),plot(simcomale.DTr(1:20:512,40)); title(strcat(['sparsity index  ',num2str(s)]));axis off

figure; set(gcf,'color','white');
s=sum(abs(simcofemale.DTr(:,1)))./sqrt(sum(abs(simcofemale.DTr(:,1)).^2));
subplot(2,3,1),plot(simcofemale.DTr(1:20:512,1)); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(simcofemale.DTr(:,8)))./sqrt(sum(abs(simcofemale.DTr(:,8)).^2));
subplot(2,3,2),plot(simcofemale.DTr(1:20:512,8)); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(simcofemale.DTr(:,16)))./sqrt(sum(abs(simcofemale.DTr(:,16)).^2));
subplot(2,3,3),plot(simcofemale.DTr(1:20:512,16)); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(simcofemale.DTr(:,24)))./sqrt(sum(abs(simcofemale.DTr(:,24)).^2));
subplot(2,3,4),plot(simcofemale.DTr(1:20:512,24)); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(simcofemale.DTr(:,32)))./sqrt(sum(abs(simcofemale.DTr(:,32)).^2));
subplot(2,3,5),plot(simcofemale.DTr(1:20:512,32)); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(simcofemale.DTr(:,40)))./sqrt(sum(abs(simcofemale.DTr(:,40)).^2));
subplot(2,3,6),plot(simcofemale.DTr(1:20:512,40)); title(strcat(['sparsity index  ',num2str(s)]));axis off



figure; set(gcf,'color','white');
s=sum(abs(dctdic.DTr(:,1)))./sqrt(sum(abs(dctdic.DTr(:,1)).^2));
subplot(2,3,1),plot(dctdic.DTr(1:20:512,1)); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(dctdic.DTr(:,8)))./sqrt(sum(abs(dctdic.DTr(:,8)).^2));
subplot(2,3,2),plot(dctdic.DTr(1:20:512,8)); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(dctdic.DTr(:,16)))./sqrt(sum(abs(dctdic.DTr(:,16)).^2));
subplot(2,3,3),plot(dctdic.DTr(1:20:512,16)); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(dctdic.DTr(:,24)))./sqrt(sum(abs(dctdic.DTr(:,24)).^2));
subplot(2,3,4),plot(dctdic.DTr(1:20:512,24)); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(dctdic.DTr(:,32)))./sqrt(sum(abs(dctdic.DTr(:,32)).^2));
subplot(2,3,5),plot(dctdic.DTr(1:20:512,32)); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(dctdic.DTr(:,40)))./sqrt(sum(abs(dctdic.DTr(:,40)).^2));
subplot(2,3,6),plot(dctdic.DTr(1:20:512,40)); title(strcat(['sparsity index  ',num2str(s)]));axis off


figure; set(gcf,'color','white');
s=sum(abs(real(fftdic.DTr(:,1))))./sqrt(sum(abs(real(fftdic.DTr(:,1))).^2));
subplot(2,3,1),plot(real(fftdic.DTr(1:20:512,1))); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(real(fftdic.DTr(:,8))))./sqrt(sum(abs(real(fftdic.DTr(:,8))).^2));
subplot(2,3,2),plot(real(fftdic.DTr(1:20:512,8))); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(real(fftdic.DTr(:,16))))./sqrt(sum(abs(real(fftdic.DTr(:,16))).^2));
subplot(2,3,3),plot(real(fftdic.DTr(1:20:512,16))); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(real(fftdic.DTr(:,24))))./sqrt(sum(abs(real(fftdic.DTr(:,24))).^2));
subplot(2,3,4),plot(real(fftdic.DTr(1:20:512,24))); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(real(fftdic.DTr(:,32))))./sqrt(sum(abs(real(fftdic.DTr(:,32))).^2));
subplot(2,3,5),plot(real(fftdic.DTr(1:20:512,32))); title(strcat(['sparsity index  ',num2str(s)]));axis off
s=sum(abs(real(fftdic.DTr(:,40))))./sqrt(sum(abs(real(fftdic.DTr(:,40))).^2));
subplot(2,3,6),plot(real(fftdic.DTr(1:20:512,40))); title(strcat(['sparsity index  ',num2str(s)]));axis off



% figure;
% s=sum(abs(simcofemale.DTr(1,:)))./sqrt(sum(abs(simcofemale.DTr(1,:)).^2));
% subplot(2,3,1),plot(simcofemale.DTr(1,:)); title(strcat(['sparsity',num2str(s)]));
% s=sum(abs(simcofemale.DTr(80,:)))./sqrt(sum(abs(simcofemale.DTr(80,:)).^2));
% subplot(2,3,2),plot(simcofemale.DTr(80,:)); title(strcat(['sparsity',num2str(s)]));
% s=sum(abs(simcofemale.DTr(160,:)))./sqrt(sum(abs(simcofemale.DTr(160,:)).^2));
% subplot(2,3,3),plot(simcofemale.DTr(160,:)); title(strcat(['sparsity',num2str(s)]));
% s=sum(abs(simcofemale.DTr(240,:)))./sqrt(sum(abs(simcofemale.DTr(240,:)).^2));
% subplot(2,3,4),plot(simcofemale.DTr(240,:)); title(strcat(['sparsity',num2str(s)]));
% s=sum(abs(simcofemale.DTr(320,:)))./sqrt(sum(abs(simcofemale.DTr(320,:)).^2));
% subplot(2,3,5),plot(simcofemale.DTr(320,:)); title(strcat(['sparsity',num2str(s)]));
% s=sum(abs(simcofemale.DTr(400,:)))./sqrt(sum(abs(simcofemale.DTr(400,:)).^2));
% subplot(2,3,6),plot(simcofemale.DTr(400,:)); title(strcat(['sparsity',num2str(s)]));
% 
% figure;
% s=sum(abs(dctdic.DTr(1,:)))./sqrt(sum(abs(dctdic.DTr(1,:)).^2));
% subplot(2,3,1),plot(dctdic.DTr(1,:)); title(strcat(['sparsity',num2str(s)]));
% s=sum(abs(dctdic.DTr(80,:)))./sqrt(sum(abs(dctdic.DTr(80,:)).^2));
% subplot(2,3,2),plot(dctdic.DTr(80,:)); title(strcat(['sparsity',num2str(s)]));
% s=sum(abs(dctdic.DTr(160,:)))./sqrt(sum(abs(dctdic.DTr(160,:)).^2));
% subplot(2,3,3),plot(dctdic.DTr(160,:)); title(strcat(['sparsity',num2str(s)]));
% s=sum(abs(dctdic.DTr(240,:)))./sqrt(sum(abs(dctdic.DTr(240,:)).^2));
% subplot(2,3,4),plot(dctdic.DTr(240,:)); title(strcat(['sparsity',num2str(s)]));
% s=sum(abs(dctdic.DTr(320,:)))./sqrt(sum(abs(dctdic.DTr(320,:)).^2));
% subplot(2,3,5),plot(dctdic.DTr(320,:)); title(strcat(['sparsity',num2str(s)]));
% s=sum(abs(dctdic.DTr(400,:)))./sqrt(sum(abs(dctdic.DTr(400,:)).^2));
% subplot(2,3,6),plot(dctdic.DTr(400,:)); title(strcat(['sparsity',num2str(s)]));
% 
% 
% figure;
% s=sum(abs(real(fftdic.DTr(1,:))))./sqrt(sum(abs(real(fftdic.DTr(1,:))).^2));
% subplot(2,3,1),plot(real(fftdic.DTr(1,:))); title(strcat(['sparsity',num2str(s)]));
% s=sum(abs(real(fftdic.DTr(80,:))))./sqrt(sum(abs(real(fftdic.DTr(80,:))).^2));
% subplot(2,3,2),plot(real(fftdic.DTr(80,:))); title(strcat(['sparsity',num2str(s)]));
% s=sum(abs(real(fftdic.DTr(160,:))))./sqrt(sum(abs(real(fftdic.DTr(160,:))).^2));
% subplot(2,3,3),plot(real(fftdic.DTr(160,:))); title(strcat(['sparsity',num2str(s)]));
% s=sum(abs(real(fftdic.DTr(240,:))))./sqrt(sum(abs(real(fftdic.DTr(240,:))).^2));
% subplot(2,3,4),plot(real(fftdic.DTr(240,:))); title(strcat(['sparsity',num2str(s)]));
% s=sum(abs(real(fftdic.DTr(320,:))))./sqrt(sum(abs(real(fftdic.DTr(320,:))).^2));
% subplot(2,3,5),plot(real(fftdic.DTr(320,:))); title(strcat(['sparsity',num2str(s)]));
% s=sum(abs(real(fftdic.DTr(400,:))))./sqrt(sum(abs(real(fftdic.DTr(400,:))).^2));
% subplot(2,3,6),plot(real(fftdic.DTr(400,:))); title(strcat(['sparsity',num2str(s)]));

